Index: src/sas/sasgui/guiframe/data_panel.py
===================================================================
--- src/sas/sasgui/guiframe/data_panel.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/data_panel.py	(revision 1941e6a4dc7d7e117ddc9faa4c5eaf341725564c)
@@ -13,4 +13,5 @@
 import wx
 from wx.build import build_options
+
 # Check version
 toks = str(wx.__version__).split('.')
@@ -291,16 +292,23 @@
         Layout widgets related to buttons
         """
+        #Load Data Button
         self.bt_add = wx.Button(self, wx.NewId(), "Load Data", 
                                 size=(BUTTON_WIDTH, -1))
         self.bt_add.SetToolTipString("Load data files")
         wx.EVT_BUTTON(self, self.bt_add.GetId(), self._load_data)
+        
+        #Delete Data Button
         self.bt_remove = wx.Button(self, wx.NewId(), "Delete Data",
          size=(BUTTON_WIDTH, -1))
         self.bt_remove.SetToolTipString("Delete data from the application")
         wx.EVT_BUTTON(self, self.bt_remove.GetId(), self.on_remove)
+        
+        #Send data to perspective button
         self.bt_import = wx.Button(self, wx.NewId(), "Send To",
                                     size=(BUTTON_WIDTH, -1))
         self.bt_import.SetToolTipString("Send Data set to active perspective")
         wx.EVT_BUTTON(self, self.bt_import.GetId(), self.on_import)
+        
+        #Choose perspective to be send data to combo box
         self.perspective_cbox = wx.ComboBox(self, -1,
                                 style=wx.CB_READONLY)
@@ -310,4 +318,5 @@
                         self._on_perspective_selection)
     
+        #Append data to current Graph Button
         self.bt_append_plot = wx.Button(self, wx.NewId(), "Append Plot To",
                                         size=(BUTTON_WIDTH, -1))
@@ -316,4 +325,5 @@
         wx.EVT_BUTTON(self, self.bt_append_plot.GetId(), self.on_append_plot)
         
+        #Create a new graph and send data to that new graph button
         self.bt_plot = wx.Button(self, wx.NewId(), "New Plot", 
                                  size=(BUTTON_WIDTH, -1))
@@ -321,4 +331,5 @@
         wx.EVT_BUTTON(self, self.bt_plot.GetId(), self.on_plot)
         
+        #Freeze current theory button - becomes a data set and stays on graph
         self.bt_freeze = wx.Button(self, wx.NewId(), "Freeze Theory", 
                                    size=(BUTTON_WIDTH, -1))
@@ -329,4 +340,5 @@
         wx.EVT_BUTTON(self, self.bt_freeze.GetId(), self.on_freeze)
        
+        #select plot to send to combo box (blank if no data)
         if sys.platform == 'darwin':
             self.cb_plotpanel = wx.ComboBox(self, -1, 
@@ -337,4 +349,10 @@
         wx.EVT_COMBOBOX(self.cb_plotpanel, -1, self._on_plot_selection)
         self.cb_plotpanel.Disable()
+        
+        #Help button
+        self.bt_help = wx.Button(self, wx.NewId(), "HELP",
+                                 size=(BUTTON_WIDTH, -1))
+        self.bt_help.SetToolTipString("Help for the Data Explorer.")
+        wx.EVT_BUTTON(self,self.bt_help.GetId(), self.on_help)
 
         self.sizer3.AddMany([(self.bt_add),
@@ -356,6 +374,6 @@
                              ((10, 10)),
                              (self.sizer4),
-                             ((10, 40)),
-                             ((10, 40))])
+                             ((10, 10)),
+                             (self.bt_help, 0, wx.EXPAND|wx.RIGHT, 5)])
 
         self.sizer3.AddGrowableCol(1, 1)
@@ -1069,4 +1087,27 @@
         return self.frame 
     
+    def on_help(self, event):
+        """
+        Bring up the data manager Documentation whenever
+        the HELP button is clicked.
+
+        Calls DocumentationWindow with the path of the location within the
+        documentation tree (after /doc/ ....".  Note that when using old
+        versions of Wx (before 2.9) and thus not the release version of
+        installers, the help comes up at the top level of the file as
+        webbrowser does not pass anything past the # to the browser when it is
+        running "file:///...."
+
+    :param evt: Triggers on clicking the help button
+    """
+
+        #import documentation window here to avoid circular imports
+        #if put at top of file with rest of imports.
+        from documentation_window import DocumentationWindow
+
+        _TreeLocation = "user/sasgui/guiframe/data_explorer_help.html"
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Data Explorer Help")
+
     def on_close(self, event):
         """
